Index: .gitignore
===================================================================
--- .gitignore	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ .gitignore	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -21,5 +21,5 @@
 
 # environment variables
-# .env
+.env
 .env.local
 .env.development.local
Index: prisma/schema.prisma
===================================================================
--- prisma/schema.prisma	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ prisma/schema.prisma	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -8,82 +8,70 @@
 }
 
-model Client {
-  id             String       @id @default(uuid())
-  tenantId       String       @map("tenant_id")
-  name           String
-  email          String       @unique
-  address        Json
-  logoUrl        String?      @map("logo_url")
-  phoneNumber    String?      @map("phone_number")
-  vatNumber      String?      @map("vat_number")
-  companyNumber  String?      @map("company_number")
-  representative String
-  status         ClientStatus @default(active)
-  createdAt      DateTime     @default(now()) @map("created_at")
-  updatedAt      DateTime     @updatedAt @map("updated_at")
+model Customer {
+  id              String        @id @default(uuid())
+  companyId       String?       // Optional company identifier
+  name            String
+  email           String        @unique
+  address         Json
+  logoUrl         String?
+  phoneNumber     String?
+  vatNumber       String?
+  companyNumber   String?
+  representative  String
+  status          CustomerStatus @default(active)
 
-  tenant           Tenant    @relation(fields: [tenantId], references: [id], onDelete: Cascade)
+  bankAccounts    BankAccount[] // One-to-many relation
+  invoicesSent    Invoice[] @relation("InvoiceFrom")
   invoicesReceived Invoice[] @relation("InvoiceTo")
+}
 
-  // Note: Advanced indexes (partial, functional, case-insensitive) 
-  // are handled via raw SQL in sql/02_client_email_index.sql
-
-  // Basic indexes that Prisma can handle
-  @@index([email]) // Basic email index
-  @@index([email, tenantId]) // Composite email + tenant index
-  @@index([status]) // Status index
-  @@index([tenantId]) // Tenant index for multi-tenant queries
+model BankAccount {
+  id             String   @id @default(uuid())
+  customerId     String
+  customer       Customer @relation(fields: [customerId], references: [id], onDelete: Cascade)
+  accountNumber  String?
+  bicSwift       String?
+  iban           String?
+  routingNumber  String?
+  currency       Currency
 }
 
 model Service {
-  id       String @id @default(uuid())
-  name     String
-  sprint   Float
-  hour     Float
-  month    Float
-  tenantId String @map("tenant_id")
-  tenant   Tenant @relation(fields: [tenantId], references: [id], onDelete: Cascade)
+  id          String  @id @default(uuid())
+  name        String
+  sprintPrice Float
+  hourPrice   Float
+  monthPrice  Float
 
-  lineItems LineItem[]
+  invoiceItems InvoiceItem[]
 }
 
 model Invoice {
-  id            String        @id @default(uuid())
-  sent          Int?
-  dueDate       DateTime      @map("due_date")
+  id            String         @id @default(uuid())
+  sent          Int?           // Number of times sent
+  dueDate       DateTime
   status        InvoiceStatus
   currency      Currency
-  quantityType  QuantityType  @map("quantity_type")
-  subTotal      Float         @map("sub_total")
-  issueDate     DateTime      @map("issue_date")
+  quantityType  QuantityType
+  subTotal      Float
+  createDate    DateTime
   month         Month
   discount      Float?
   taxes         Float?
-  totalAmount   Float         @map("total_amount")
-  invoiceNumber String        @unique @map("invoice_number")
-  pdfRef        String?       @map("pdf_ref")
-  createdAt     DateTime      @default(now()) @map("created_at")
-  updatedAt     DateTime      @updatedAt @map("updated_at")
+  totalAmount   Float
+  invoiceNumber String         @unique
+  pdfRef        String?
 
-  invoiceFromId String @map("tenant_id")
-  invoiceFrom   Tenant @relation(fields: [invoiceFromId], references: [id], onDelete: Cascade)
+  invoiceFromId String
+  invoiceFrom   Customer       @relation("InvoiceFrom", fields: [invoiceFromId], references: [id], onDelete: Cascade)
 
-  invoiceToId String @map("client_id")
-  invoiceTo   Client @relation("InvoiceTo", fields: [invoiceToId], references: [id], onDelete: Cascade)
+  invoiceToId   String
+  invoiceTo     Customer       @relation("InvoiceTo", fields: [invoiceToId], references: [id], onDelete: Cascade)
 
-  items LineItem[]
-
-  // Performance indexes for common queries
-  @@index([status]) // Status-based queries
-  @@index([invoiceFromId]) // Tenant-based queries
-  @@index([invoiceToId]) // Client-based queries
-  @@index([issueDate]) // Date-based queries
-  @@index([dueDate]) // Due date queries
-  @@index([status, invoiceFromId]) // Combined status + tenant
-  @@index([status, dueDate]) // Overdue invoice queries
+  items         InvoiceItem[]
 }
 
-model LineItem {
-  id          String  @id @default(uuid())
+model InvoiceItem {
+  id          String   @id @default(uuid())
   title       String
   price       Float
@@ -91,107 +79,49 @@
   quantity    Int
   description String?
-  serviceId   String  @map("service_id")
-  service     Service @relation(fields: [serviceId], references: [id], onDelete: Cascade)
-  invoiceId   String  @map("invoice_id")
-  invoice     Invoice @relation(fields: [invoiceId], references: [id], onDelete: Cascade)
+  serviceId   String
+  service     Service   @relation(fields: [serviceId], references: [id], onDelete: Cascade)
+  invoiceId   String
+  invoice     Invoice   @relation(fields: [invoiceId], references: [id], onDelete: Cascade)
 }
 
-model Tenant {
-  id                String     @id @default(cuid())
-  name              String
-  email             String     @unique
-  address           Json
-  bankAccounts      Json?      @map("bank_accounts")
-  logoUrl           String?    @map("logo_url")
-  phoneNumber       String?    @map("phone_number")
-  vatNumber         String?    @map("vat_number")
-  companyNumber     String?    @map("company_number")
-  representative    String
-  lastInvoiceNumber String     @default("0") @map("last_invoice_number")
-  createdAt         DateTime   @default(now()) @map("created_at")
-  updatedAt         DateTime   @updatedAt @map("updated_at")
-  invoicesSent      Invoice[]
-  services          Service[]
-  employees         Employee[]
-  clients           Client[]
-  users             User[]
-}
-
-model Employee {
-  id        String         @id @default(uuid())
-  name      String
-  email     String         @unique
-  status    EmployeeStatus @default(active)
-  iban      String?
-  cv        String?
-  photo     String?
-  project   String?
-  tenantId  String         @map("tenant_id")
-  tenant    Tenant         @relation(fields: [tenantId], references: [id], onDelete: Cascade)
-  createdAt DateTime       @default(now()) @map("created_at")
-  updatedAt DateTime       @updatedAt @map("updated_at")
-}
-
-model User {
-  id          String   @id @default(uuid())
-  uid         String   @unique // Firebase UID
-  email       String   @unique
-  displayName String   @map("display_name")
-  role        UserRole
-  tenantId    String   @map("tenant_id")
-  tenant      Tenant   @relation(fields: [tenantId], references: [id], onDelete: Cascade)
-  createdAt   DateTime @default(now()) @map("created_at")
-  updatedAt   DateTime @updatedAt @map("updated_at")
-}
-
-enum UserRole {
-  ADMIN   @map("ADMIN")
-  MANAGER @map("MANAGER")
-  USER    @map("USER")
-}
-
-enum ClientStatus {
-  active   @map("ACTIVE")
-  banned   @map("BANNED")
-  inactive @map("INACTIVE")
+// Enums
+enum CustomerStatus {
+  active
+  banned
+  inactive
 }
 
 enum InvoiceStatus {
-  draft      @map("DRAFT")
-  processing @map("PROCESSING")
-  pending    @map("PENDING")
-  overdue    @map("OVERDUE")
-  paid       @map("PAID")
+  DRAFT
+  PROCESSING
+  PENDING
+  OVERDUE
+  PAID
 }
 
 enum Currency {
-  EUR @map("EUR")
-  USD @map("USD")
+  EUR
+  USD
 }
 
 enum QuantityType {
-  Unit   @map("UNIT")
-  Hour   @map("HOUR")
-  Sprint @map("SPRINT")
-  Month  @map("MONTH")
+  UNIT
+  HOUR
+  SPRINT
+  MONTH
 }
 
 enum Month {
-  January   @map("JANUARY")
-  February  @map("FEBRUARY")
-  March     @map("MARCH")
-  April     @map("APRIL")
-  May       @map("MAY")
-  June      @map("JUNE")
-  July      @map("JULY")
-  August    @map("AUGUST")
-  September @map("SEPTEMBER")
-  October   @map("OCTOBER")
-  November  @map("NOVEMBER")
-  December  @map("DECEMBER")
+  JANUARY
+  FEBRUARY
+  MARCH
+  APRIL
+  MAY
+  JUNE
+  JULY
+  AUGUST
+  SEPTEMBER
+  OCTOBER
+  NOVEMBER
+  DECEMBER
 }
-
-enum EmployeeStatus {
-  active   @map("ACTIVE")
-  inactive @map("INACTIVE")
-}
Index: prisma/seed.js
===================================================================
--- prisma/seed.js	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ prisma/seed.js	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -4,94 +4,123 @@
 
 async function main() {
-  // Clear existing data
-  await prisma.service.deleteMany();
-  await prisma.user.deleteMany();
-  await prisma.tenant.deleteMany();
+  console.log('🌱 Seeding database...');
 
-  // Define default tenant data
-  const tenantData = {
-    id: "cm7lxc3p00000pb7kmdrxsfod",
-    name: "MVP Masters",
-    email: "info@mvpmasters.com",
-    address: {
-      street: "Makedonska Treta Brigada 56",
-      city: "Skopje",
-      state: "Macedonia",
-      zip: "1000",
-      country: "Macedonia"
+  // Create Customers
+  const customer1 = await prisma.customer.create({
+    data: {
+      name: 'Acme Corp',
+      email: 'contact@acme.com',
+      street: '123 Main St',
+      city: 'New York',
+      country: 'USA',
+      state: 'NY',
+      zip: '10001',
+      phoneNumber: '+1 555-555-5555',
+      vatNumber: 'US123456789',
+      companyNumber: '123456789',
+      representative: 'John Doe',
+      status: 'ACTIVE',
+      logoUrl: 'https://example.com/logo.png',
     },
-    phoneNumber: "+389 72 233 943",
-    representative: "Naum Shapkarovski",
-    lastInvoiceNumber: "1",
-    logoUrl: "https://example.com/default-logo.png",
-    vatNumber: "VAT123456789",
-    companyNumber: "COMP123456",
-    bankAccounts: {
-      eur: {
-        accountNumber: "1234567890",
-        routingNumber: "987654321",
-        bicSwift: "DEFBANKXXX",
-        iban: "DE89370400440532013000"
-      },
-      usd: {
-        accountNumber: "0987654321",
-        routingNumber: "123456789",
-        bicSwift: "DEFBANKXXX",
-        iban: "US89370400440532013000"
-      }
-    },
-    // Add services along with the tenant creation
-    services: {
-      create: [
-        {
-          name: "Web Development",
-          sprint: 5000,
-          hour: 150,
-          month: 8000
-        },
-        {
-          name: "UI/UX Design",
-          sprint: 3000,
-          hour: 120,
-          month: 6000
-        },
-        {
-          name: "Consulting",
-          sprint: 4000,
-          hour: 200,
-          month: 7000
-        }
-      ]
-    }
-  };
-
-  // Create default tenant with services
-  const defaultTenant = await prisma.tenant.create({
-    data: tenantData,
-    include: {
-      services: true
-    }
   });
 
-  // Add default admin user
-  const defaultUser = await prisma.user.create({
+  const customer2 = await prisma.customer.create({
     data: {
-      id: 'dK2y3WezYWWltHCaBRvUFlddkOr2',
-      uid: 'dK2y3WezYWWltHCaBRvUFlddkOr2',
-      email: 'naum@mvpmasters.com',
-      displayName: 'Naum',
-      role: 'ADMIN',
-      tenantId: 'cm7lxc3p00000pb7kmdrxsfod'
-    }
+      name: 'Globex Ltd.',
+      email: 'info@globex.com',
+      street: '456 Industrial Rd',
+      city: 'Los Angeles',
+      country: 'USA',
+      state: 'CA',
+      zip: '90001',
+      phoneNumber: '+1 555-123-4567',
+      vatNumber: 'US987654321',
+      companyNumber: '987654321',
+      representative: 'Jane Smith',
+      status: 'INACTIVE',
+      logoUrl: 'https://example.com/logo2.png',
+    },
   });
 
-  console.log('🌱 Seeding database...');
-  console.log('Seeded default tenant:', defaultTenant);
-  console.log('Seeded default user:', defaultUser);
+  // Create Bank Accounts
+  await prisma.bankAccount.createMany({
+    data: [
+      {
+        customerId: customer1.id,
+        accountNumber: '1234567890',
+        bicSwift: 'ACMEUS33',
+        iban: 'US12345678901234567890',
+        routingNumber: '111000025',
+        currency: 'USD',
+      },
+      {
+        customerId: customer2.id,
+        accountNumber: '0987654321',
+        bicSwift: 'GLOBEXUS12',
+        iban: 'US09876543210987654321',
+        routingNumber: '222000033',
+        currency: 'EUR',
+      },
+    ],
+  });
+
+  // Create Services
+  const service1 = await prisma.service.create({
+    data: {
+      name: 'Web Development',
+      sprintPrice: 5000.0,
+      hourPrice: 100.0,
+      monthPrice: 20000.0,
+    },
+  });
+
+  const service2 = await prisma.service.create({
+    data: {
+      name: 'SEO Optimization',
+      sprintPrice: 3000.0,
+      hourPrice: 75.0,
+      monthPrice: 12000.0,
+    },
+  });
+
+  // Create Invoices
+  const invoice1 = await prisma.invoice.create({
+    data: {
+      dueDate: new Date('2025-03-15'),
+      status: 'PENDING',
+      currency: 'USD',
+      quantityType: 'HOUR',
+      subTotal: 5000.0,
+      createDate: new Date(),
+      month: 'FEBRUARY',
+      discount: 0.0,
+      taxes: 500.0,
+      totalAmount: 5500.0,
+      invoiceNumber: 'INV-2025-001',
+      pdfRef: 'https://example.com/invoice1.pdf',
+      invoiceFromId: customer1.id,
+      invoiceToId: customer2.id,
+    },
+  });
+
+  // Create Invoice Items
+  await prisma.invoiceItem.create({
+    data: {
+      title: 'Web Development - Sprint 1',
+      price: 5000.0,
+      total: 5000.0,
+      quantity: 1,
+      description: 'Development of the MVP frontend',
+      serviceId: service1.id,
+      invoiceId: invoice1.id,
+    },
+  });
+
+  console.log('✅ Seeding complete!');
 }
 
 main()
   .catch((e) => {
-    console.error('Error seeding database:', e);
+    console.error(e);
     process.exit(1);
   })
Index: src/api/customer.ts
===================================================================
--- src/api/customer.ts	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/api/customer.ts	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -1,5 +1,5 @@
 import { useMemo } from 'react';
 // types
-import { Customer } from 'src/schemas';
+import { Customer } from 'mvpmasters-shared';
 // db
 import { endpoints, fetcher } from 'src/utils/axios';
@@ -44,22 +44,2 @@
   }
 }
-
-export async function updateCustomer(
-  id: string,
-  customerData: Partial<Customer>
-): Promise<Customer> {
-  try {
-    const response = await axios.patch<Customer>(`${endpoints.customer}/${id}`, customerData);
-
-    // Mutate the SWR cache to update the customer
-    await mutate<Customer[]>(endpoints.customer, (currentData = []) =>
-      currentData.map((customer) =>
-        customer.id === id ? { ...customer, ...response.data } : customer
-      )
-    );
-
-    return response.data;
-  } catch (error) {
-    throw error;
-  }
-}
Index: src/api/invoice.ts
===================================================================
--- src/api/invoice.ts	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/api/invoice.ts	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -1,11 +1,8 @@
 import { useMemo } from 'react';
 // types
-import { Invoice, UpdateInvoice } from 'src/schemas';
+import { Invoice } from 'mvpmasters-shared';
 // db
 import useSWR from 'swr';
 import { endpoints, fetcher } from 'src/utils/axios';
-import axios from 'src/utils/axios';
-import { mutate } from 'swr';
-import { useSWRConfig } from 'swr';
 
 interface InvoiceFilters {
@@ -54,102 +51,26 @@
 }
 
-export function useGetInvoice({ id }: { id: string }) {
-  const path = endpoints.invoice;
+// export function useGetInvoice({ id }: { id: string }) {
+//   const collectionName = collections.invoice;
 
-  const { data, isLoading, error, isValidating } = useSWR(
-    `${path}/${id}`,
-    () => fetcher<Invoice>(`${path}/${id}`),
-    {
-      revalidateOnFocus: false,
-    }
-  );
+//   const { data, isLoading, error, isValidating } = useSWR(
+//     [collectionName, id],
+//     () => documentFetcher<Invoice>(collectionName, id),
+//     {
+//       revalidateOnFocus: false,
+//     }
+//   );
 
-  const memoizedValue = useMemo(
-    () => ({
-      currentInvoice: data || null,
-      currentInvoiceLoading: isLoading,
-      currentInvoiceError: error,
-      currentInvoiceValidating: isValidating,
-      currentInvoiceEmpty: !isLoading && !data,
-    }),
-    [data, error, isLoading, isValidating]
-  );
+//   const memoizedValue = useMemo(
+//     () => ({
+//       currentInvoice: data || null,
+//       currentInvoiceLoading: isLoading,
+//       currentInvoiceError: error,
+//       currentInvoiceValidating: isValidating,
+//       currentInvoiceEmpty: !isLoading && !data,
+//     }),
+//     [data, error, isLoading, isValidating]
+//   );
 
-  return memoizedValue;
-}
-
-// Add this interface for the create invoice payload
-interface CreateInvoicePayload {
-  issueDate: Date;
-  dueDate: Date;
-  items: any[];
-  invoiceNumber: string;
-  invoiceFrom: any;
-  invoiceTo: any;
-  currency: string;
-  quantityType: string;
-  month: string;
-  status?: string;
-  taxes?: number;
-  discount?: number;
-  totalAmount: number;
-  pdfRef?: string;
-}
-
-export async function createInvoice(data: CreateInvoicePayload): Promise<Invoice> {
-  const response = await axios.post<Invoice>(endpoints.invoice, data);
-
-  // Mutate the SWR cache to include the new invoice
-  await mutate(
-    endpoints.invoice,
-    (existingInvoices: Invoice[] = []) => [response.data, ...existingInvoices],
-    false // Set to false to avoid revalidation since we already have the new data
-  );
-
-  return response.data;
-}
-
-export async function updateInvoice(id: string, data: Partial<UpdateInvoice>) {
-  const response = await axios.patch<Invoice>(`${endpoints.invoice}/${id}`, data);
-
-  // Mutate the individual invoice cache
-  await mutate(`${endpoints.invoice}/${id}`, response.data, false);
-
-  // Mutate the invoice list cache
-  await mutate(
-    endpoints.invoice,
-    (existingInvoices: Invoice[] = []) =>
-      existingInvoices.map((invoice) => (invoice.id === id ? response.data : invoice)),
-    false
-  );
-
-  return response.data;
-}
-
-export async function deleteInvoice(id: string) {
-  const response = await axios.delete<Invoice>(`${endpoints.invoice}/${id}`);
-
-  // Mutate the invoice list cache to remove the deleted invoice
-  await mutate(
-    endpoints.invoice,
-    (existingInvoices: Invoice[] = []) => existingInvoices.filter((invoice) => invoice.id !== id),
-    false
-  );
-
-  return response.data;
-}
-
-// Update the useDeleteInvoice hook to use the new implementation
-export function useDeleteInvoice() {
-  const deleteInvoiceMutation = async (id: string) => {
-    try {
-      await deleteInvoice(id);
-      return true;
-    } catch (error) {
-      console.error('Error deleting invoice:', error);
-      throw error;
-    }
-  };
-
-  return { deleteInvoiceMutation };
-}
+//   return memoizedValue;
+// }
Index: src/api/service.ts
===================================================================
--- src/api/service.ts	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/api/service.ts	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -1,17 +1,16 @@
 import { useMemo } from 'react';
 // types
-import { Service } from 'src/schemas';
+import { Service } from 'mvpmasters-shared';
+// db
+import { collections, collectionFetcher as fetcher } from 'src/lib/firestore';
 // swr
 import useSWR from 'swr';
-import { endpoints, fetcher } from 'src/utils/axios';
 
 export function useGetServices() {
-  const { data, isLoading, error, isValidating } = useSWR<Service[]>(
-    endpoints.service,
-    () => fetcher<Service[]>(endpoints.service),
-    {
-      revalidateOnFocus: false,
-    }
-  );
+  const collectionName = collections.service;
+
+  const { data, isLoading, error, isValidating } = useSWR(collectionName, fetcher<Service>, {
+    revalidateOnFocus: false,
+  });
 
   const memoizedValue = useMemo(
Index: src/api/settings.ts
===================================================================
--- src/api/settings.ts	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
+++ src/api/settings.ts	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -0,0 +1,40 @@
+import { useMemo } from 'react';
+// types
+import { Settings } from 'src/types/settings';
+// db
+import { collections, collectionFetcher as fetcher } from 'src/lib/firestore';
+// swr
+import useSWR from 'swr';
+
+export function useGetSettings() {
+  const collectionName = collections.settings;
+
+  const { data, isLoading, error, isValidating } = useSWR(collectionName, fetcher<Settings>, {
+    revalidateOnFocus: false,
+  });
+
+  const dataObject = transformArrayToObject(data);
+
+  const memoizedValue = useMemo(
+    () => ({
+      settings: dataObject || null,
+      settingsLoading: isLoading,
+      settingsError: error,
+      settingsValidating: isValidating,
+      settingsEmpty: !isLoading && !dataObject,
+    }),
+    [dataObject, error, isLoading, isValidating]
+  );
+
+  return memoizedValue;
+}
+
+const transformArrayToObject = (data?: Settings[]): Settings | undefined => {
+  if (!data) return undefined;
+
+  return data.reduce((accumulator: Settings, doc) => {
+    const { id, ...fields } = doc;
+    accumulator[id as keyof Settings] = fields;
+    return accumulator;
+  }, {} as Settings);
+};
Index: src/app/api/customers/[id]/route.ts
===================================================================
--- src/app/api/customers/[id]/route.ts	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/app/api/customers/[id]/route.ts	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -1,4 +1,4 @@
 import { NextRequest, NextResponse } from 'next/server';
-import { customerSchema } from 'src/schemas';
+import { customerSchema } from 'mvpmasters-shared';
 import prisma from 'src/lib/prisma';
 import { authenticateRequest } from 'src/lib/auth-middleware';
@@ -6,22 +6,15 @@
 export async function PATCH(request: NextRequest, { params }: { params: { id: string } }) {
   try {
-    const auth = await authenticateRequest(request);
-    if (!auth || auth instanceof NextResponse) {
+    const userId = await authenticateRequest(request);
+    if (!userId) {
       return NextResponse.json({ error: 'Unauthorized' }, { status: 401 });
     }
-
-    const { userId, tenantId } = auth;
 
     const body = await request.json();
     const validatedData = customerSchema.partial().parse(body);
 
-    console.log('validatedData', validatedData);
-
-    const customer = await prisma.client.update({
-      where: { id: params.id },
-      data: {
-        ...validatedData,
-        tenantId,
-      },
+    const customer = await prisma.customer.update({
+      where: { id: params.id, userId },
+      data: validatedData,
     });
 
Index: src/app/api/customers/route.ts
===================================================================
--- src/app/api/customers/route.ts	(revision 658eaeeabe6b68a424a62ffd695452a6f1abb579)
+++ src/app/api/customers/route.ts	(revision 5d6f37a75130aab7d9a67b5b430603eff2c0ca6e)
@@ -1,7 +1,6 @@
 import { NextRequest, NextResponse } from 'next/server';
-import { customerTableFiltersSchema, newCustomerSchema } from 'src/schemas';
+import { customerTableFiltersSchema, newCustomerSchema } from 'mvpmasters-shared';
 import prisma from 'src/lib/prisma';
 import { authenticateRequest } from 'src/lib/auth-middleware';
-import { Prisma, ClientStatus } from '@prisma/client';
 
 export async function GET(request: NextRequest) {
@@ -12,5 +11,5 @@
       return authResult;
     }
-    const { userId, tenantId } = authResult;
+    const { userId } = authResult;
 
     const searchParams = request.nextUrl.searchParams;
@@ -24,31 +23,14 @@
     const validatedFilters = customerTableFiltersSchema.parse(filters);
 
-    //   const customers = await prisma.$queryRaw`
-    //   SELECT * FROM "Client"
-    //   WHERE "tenant_id" = ${tenantId}
-    //     AND LOWER(name) LIKE LOWER(${`%${validatedFilters.name}%`})
-    //     ${
-    //       validatedFilters.status
-    //         ? Prisma.sql`AND status = ${validatedFilters.status}::"CustomerStatus"`
-    //         : Prisma.sql`AND TRUE`
-    //     }
-    // `;
-
-    const customers = await prisma.client.findMany({
+    const customers = await prisma.customer.findMany({
       where: {
-        tenantId,
-        name: {
-          contains: validatedFilters.name,
-          mode: 'insensitive',
-        },
-        ...(validatedFilters.status && {
-          status: validatedFilters.status as ClientStatus,
-        }),
+        name: { contains: validatedFilters.name, mode: 'insensitive' },
+        status: validatedFilters.status ? { equals: validatedFilters.status } : undefined,
       },
     });
+    console.log('customers', customers);
 
     return NextResponse.json(customers);
   } catch (error) {
-    console.error('Error fetching customers:', error);
     return NextResponse.json({ error: 'Internal Server Error' }, { status: 500 });
   }
@@ -62,5 +44,5 @@
       return authResult;
     }
-    const { userId, tenantId } = authResult;
+    const { userId } = authResult;
 
     const body = await request.json();
@@ -68,8 +50,8 @@
     console.log('validatedData', validatedData);
 
-    const customer = await prisma.client.create({
+    const customer = await prisma.customer.create({
       data: {
         ...validatedData,
-        tenantId,
+        // userId,
       },
     });
